Summary: Utility to administer the Linux Virtual Server
Name: ipvsadm
Version: 1.25
Release: 9%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://www.linuxvirtualserver.org/software/ipvs.html
Source0: http://www.linuxvirtualserver.org/software/kernel-2.6/ipvsadm-%{version}.tar.gz
Source1: ipvsadm.init
Source2: ipvsadm-config
Patch0: ipvsadm-1.24-Makefile.patch
Patch1: ipvsadm-1.25-popt.patch
Patch2: ipvsadm-001-activeconn.patch
Patch3: ipvsadm-002-ops.patch
Patch4: ipvsadm-003-ops-man.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires: libnl-devel
Buildrequires: popt-devel
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig

%description
ipvsadm is a utility to administer the IP Virtual Server services
offered by the Linux kernel.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
# Don't use _smp_mflags as it makes the build fail (1.2.4)
CFLAGS="%{optflags}" make


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rc.d/init.d
make install BUILD_ROOT=%{buildroot} MANDIR=%{_mandir}
# Overwrite the provided init script with our own (mostly) LSB compliant one
install -p -m 0755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/ipvsadm
install -d -m 755 %{buildroot}/etc/sysconfig
install -p -m 0600 %{SOURCE2} %{buildroot}/etc/sysconfig/ipvsadm-config

%clean
rm -rf %{buildroot}


%post
/sbin/chkconfig --add ipvsadm

%preun
if [ $1 -eq 0 ]; then
    /sbin/chkconfig --del ipvsadm
fi


%files
%defattr(-,root,root)
%doc README
/etc/rc.d/init.d/ipvsadm
%config(noreplace) %attr(0600,root,root) /etc/sysconfig/ipvsadm-config
/sbin/ipvsadm
/sbin/ipvsadm-restore
/sbin/ipvsadm-save
%{_mandir}/man8/ipvsadm.8*
%{_mandir}/man8/ipvsadm-restore.8*
%{_mandir}/man8/ipvsadm-save.8*


%changelog
* Fri Dec 10 2010 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 6.0.x

* Wed Jul 07 2010 Jan Friesse <jfriesse@redhat.com> 1.25-9
- Add man page for One-Packet Scheduler (#573112).

* Fri Jul 02 2010 Jan Friesse <jfriesse@redhat.com> 1.25-8
- Add suport for One-Packet Scheduler (#573112).

* Tue May 18 2010 Jan Friesse <jfriesse@redhat.com> 1.25-7
- Update init script to be more iptables like (#593279).
